CHSH(1)

BEZEICHNUNG
chsh - Ihre Anmeldeshell ändern

ÜBERSICHT

chsh [-s Shell] [-l] [-h] [-V] [Benutzername]

BESCHREIBUNG

Mit chsh können Sie Ihre Anmeldeshell ändern. Wenn in der Befehlszeile keine Shell angegeben ist, bittet chsh um deren Eingabe.

chsh unterstützt nicht-lokale Einträge (Kerberos, LDAP, usw.), wenn es Libuser verlinkt ist, anderenfalls verwenden Sie ypchsh(1), lchsh(1) oder irgendeine andere Implementierung für nicht-lokale Einträge.

OPTIONEN

-s, --shell Shell
    gibt Ihre Anmeldeshell an.

-l, --list-shells
    gibt die in /etc/shells aufgelisteten Shells aus und beendet das Programm.

-h, --help
    gibt einen Hilfetext aus und beendet das Programm. (Die Kurzoption -h wird seit Version 2.30 verwendet; in älteren Versionen wurde das nun als veraltet angesehene -u verwendet.)

-V, --version
    gibt die Versionsnummer aus und beendet das Programm. (Die Kurzoption -V wird seit Version 2.39 verwendet; in älteren Versionen wurde das nun als veraltet angesehene -v verwendet.)

GÜLTIGE SHELLS

chsh akzeptiert den vollständigen Pfadnamen jeder ausführbaren Datei im System.

Standardmäßig werden für Benutzer ohne Root-Rechte nur die in der Datei /etc/shells aufgeführten Shells akzeptiert. Für den Root-Benutzer wird eine Warnung ausgegeben. Dies kann auch während der Kompilierung konfiguriert werden, um für alle Benutzer nur eine Warnung auszugeben.

EXIT-STATUS

Bei einer erfolgreichen Aktion wird 0 zurückgegeben. Wenn die Aktion fehlgeschlagen ist oder die Befehlssyntax ungültig war, wird 1 zurückgegeben.

AUTOREN

SIEHE AUCH

login(1), login.defs(5), passwd(5), shells(5)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl chsh ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.